%define upstream_name    Module-Format
%define upstream_version v0.0.4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Convert and manipulate stringified versions of Perl modules
License:    MIT
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Getopt::Long) >= 2.360.0
BuildRequires: perl(Module::Build)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Module-Format is a set of Perl modules and the accompanying perlmf command line
utility that can be used to output consistetly formatted named of Perl modules
for input in applications. So one can do:

urpmi --auto $(perlmf as_rpm_c "$@")

to install perl dependencies using urpmi (and many other uses).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%files
%doc Changes META.yml README
%{_bindir}/perlmf
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Fri Oct 14 2011 jquelin <jquelin> 0.0.4-2.mga2
+ Revision: 155131
- perl 5.14.2 rebuild

* Wed Jun 22 2011 jquelin <jquelin> 0.0.4-1.mga2
+ Revision: 112197
- update to v0.0.4

* Sun Jun 19 2011 jquelin <jquelin> 0.0.3-2.mga2
+ Revision: 109888
- rebuild script for perl 5.14.1

* Fri Jan 21 2011 jquelin <jquelin> 0.0.3-1.mga1
+ Revision: 28644
- mageia rebuild
- imported package perl-Module-Format


* Fri Dec 03 2010 Shlomi Fish <shlomif@mandriva.org> 0.0.3-1mdv2011.0
+ Revision: 606858
- Upgraded to 0.0.3

* Sun Nov 28 2010 Shlomi Fish <shlomif@mandriva.org> 0.0.2-2mdv2011.0
+ Revision: 602592
- Bumped the release number
- Fixed the information
- import perl-Module-Format

